Bug 105941 - Raid doesn't boot properly
Raid doesn't boot properly
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
: 105942 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-09-29 14:30 EDT by Rick Chamberlain
Modified: 2013-03-06 00:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-13 18:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rick Chamberlain 2003-09-29 14:30:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.5a) Gecko/20030728
Mozilla Firebird/0.6.1

Description of problem:
Installed AS2.1 on IBM Netfinity 350. When install reboots and external raid is
reconnected the system doesn't boot properly;  it comes up and complains that it
can't find init, presumably because the driver for the qlogic FC card that runs
the array is somehow confusing the driver for the internal ips card. Thus the
installation is unable to read the internal disks.

Version-Release number of selected component (if applicable):
kernel 2.4.9-e.3smp,  Red Hat Linux Advanced Server release 2.1AS/\m (Pensacola)

How reproducible:

Steps to Reproduce:
1. Install
2. Reboot
3. Unable to see internal disks

Expected Results:  normal install with full disks available.

Additional info:

It boots fine as long as the external raid isn't attached. Once the raid is
attached then the issue appears.
Comment 1 Jeremy Katz 2003-09-29 14:36:21 EDT
Unfortunately, there's no way on x86 hardware to determine what is actually the
boot controller.  With 2.1, if you boot with 'linux noprobe', you can load the
SCSI drivers in the order that they should be and the drives will then be in the
correct order (or do your install with your FC array disabled).

RHEL3 has a somewhat more elegant solution to this (allowing you to pick the
drive ordering in an advanced boot loader options screen)
Comment 2 Jeremy Katz 2003-09-29 15:03:37 EDT
*** Bug 105942 has been marked as a duplicate of this bug. ***
Comment 3 mike ledoux 2003-09-29 15:55:17 EDT
I don't think you understand the problem here.  We do have 2.1AS installed on
the internal RAID with the ips driver.  The problem is when the external FC
array is attached the system won't boot.  We've run into this problem before on
older versions of your product (6.2, 7.3) but have always been able to work
around it by  editing /etc/modules.conf to change the order the modules load in.
 On this system, the qlogic FC driver gets loaded first, even if the only
scsi_hostadapter alias in /etc/modules.conf is for the ips driver.

During the install, we actually had to remove the external raid entirely. 
'linux noprobe' didn't help, as it had in the past; after prompting for a driver
disk, the installer automatically loaded drivers for the qlogic, adaptec, and
ips controllers in the system, in that order, which is basically exactly backwards.

While I find it hard to conceive of a situation where someone wouldn't want the
internal raid to show up first, I can almost understand the current default. 
What I can't understand is why there seems to no longer be any working way to
modify that default.
Comment 4 mike ledoux 2003-10-08 11:36:17 EDT
It has been over a week since the last update on this.  Do you have a timeframe
in which we can expect resolution, or at least a workaround?
Comment 5 Arjan van de Ven 2003-10-08 12:19:34 EDT
It appears you request support and SLA like resolution; you really should work
via our support people for that, that way they can track things properly.
Comment 6 Jason Baron 2004-05-13 18:30:35 EDT
not properly escalated. closing.

Note You need to log in before you can comment on or make changes to this bug.